%global plugin_name openshift-client

Summary:    0.9.3
Name:       jenkins-plugin-%{plugin_name}
Version:    0.9.6
Release:    1%{?dist}
License:    ASL 2.0
URL:        https://wiki.jenkins-ci.org/display/JENKINS/OpenShift+Client+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.625.3
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-durable-task

%description
A Jenkins plugin which leverages the OpenShift client binary (oc) to enable powerful Pipeline DSL based interactions with OpenShift clusters.

%prep


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/jenkins/
cp %{SOURCE0} %{buildroot}/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 27 2017 root - 0.9.6-1
- Update to 0.9.6

* Fri May 12 2017 Troy Dawson <tdawson@redhat.com> - 0.9.3-1
- Update to 0.9.3

